Subject: Re: [TOOLS-DEVELOPMENT] The useful alias addresses

From: Ross Callon <[email-masked]>
Date: Thu, 17 Sep 2009 11:51:50 -0400

My reluctance to use these aliases has been based all along on the problem that I don't know for sure what email addresses they actually go to, and thus I can't be sure that the email is actually going to the correct authors. 

Ross

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: 16 September 2009 14:45
To: [email-masked]
Cc: [email-masked]
Subject: The useful alias addresses

Hi,

I seriously love the [email-masked] email aliases, but they 
are getting quite dangerous.

A couple of times recently I have sent mail like this and received no 
response (and no bounce) only to find that all of the authors have moved on 
to new addresses.

Obviously, the tools aren't psychic, but could they update the alias when a 
new revision is submitted. Or perhaps once a month?

Would it be possible to implement a way of finding out what an alias 
currently expands to? Or would that be too easy to harvest?

And lastly, a wrinkle that I doubt you can help with. My sponsor 
(huawei.com) believes that any email coming from a huawei.com address to a 
huawei.com address MUST be routed internally. Therefore if such an email 
arrives on an external port it must be a forgery. Unfortunately, the aliases 
are not mailing lists, but are true aliases so we fall into this problem. If 
you could fix it, I'd love you. But I suspect I have to go beat up Huawei 
technical support.

Cheers,
Adrian

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 16 Sep 2009 19:44:43 +0100

Hi,

Cheers,
Adrian

---

From: Jari Arkko <[email-masked]>
Date: Thu, 17 Sep 2009 19:25:01 +0300

Henrik,

How do you update the draft addresses? Upon every new version, right?

If so, there's not much to do, than to ask that the people use their 
right e-mail addresses in the drafts. Tools or not, no one can figure 
out that the guy moved somewhere else, if the e-mail address in the 
draft says otherwise.

Jari

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 17 Sep 2009 21:37:10 +0200

Hi Jari,

> How do you update the draft addresses? Upon every new version, right?

Yes, that's correct.

> right e-mail addresses in the drafts. Tools or not, no one can  
> figure out that the guy moved somewhere else, if the e-mail address  
> in the draft says otherwise.

Ack, at least short-term. Long-term we should have an Email Address  
Change Tool which would fix addresses in the datatracker, list  
subscriptions and the aliases, all from one change entry.

Best,

      Henrik

> Jari
>
> Ross Callon wrote:
>> My reluctance to use these aliases has been based all along on the  
>> problem that I don't know for sure what email addresses they  
>> actually go to, and thus I can't be sure that the email is actually  
>> going to the correct authors.
>> Ross
>>
>> I seriously love the [email-masked] email aliases,  
>> but they are getting quite dangerous.
>>
>> A couple of times recently I have sent mail like this and received  
>> no response (and no bounce) only to find that all of the authors  
>> have moved on to new addresses.
>>
>> Obviously, the tools aren't psychic, but could they update the  
>> alias when a new revision is submitted. Or perhaps once a month?
>>
>> Would it be possible to implement a way of finding out what an  
>> alias currently expands to? Or would that be too easy to harvest?
>>
>> And lastly, a wrinkle that I doubt you can help with. My sponsor (huawei.com 
>> ) believes that any email coming from a huawei.com address to a huawei.com 
>>  address MUST be routed internally. Therefore if such an email  
>> arrives on an external port it must be a forgery. Unfortunately,  
>> the aliases are not mailing lists, but are true aliases so we fall  
>> into this problem. If you could fix it, I'd love you. But I suspect  
>> I have to go beat up Huawei technical support.
>>
>> Cheers,
>> Adrian
>>
>>
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 18 Sep 2009 02:29:01 +0200

Hi Adrian,

Having earlier replied to Jari's comment on this, I however now see there is
more that could be said:

> response (and no bounce) only to find that all of the authors have moved on 

Ouch.

> new revision is submitted. Or perhaps once a month?

The aliases are already being updated as soon as a new draft version is out.

I'm also working on improving the extraction of author name and email (this
is a side effect of work on a rewritten draft submission tool.)

> currently expands to? Or would that be too easy to harvest?

The alias file is already available, but there isn't a link to it in
any easily findable place.  I'm not sure if harvesting matters for
these addresses -- I suspect they're already very harvestable in drafts
and RFCs.  But anyway, the file is here:

  http://tools.ietf.org/draft/aliases

> you could fix it, I'd love you. But I suspect I have to go beat up Huawei 

Hmm.  I see.  Well, what I _can_ do manually is to set up a replacement rule
which would rewrite any specific @huawei.com address to another specified
non-huawei.com address.  This does however not scale. In other words: I can
do that for a small number of individual addresses, but if you're looking for
a general solution, it won't help you...

Regards,

	Henrik

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 18 Sep 2009 01:22:17 +0100

Hi,

>> How do you update the draft addresses? Upon every new version, right?

OK. So if we see emails going to the wrong place, that 's a bug and we 
should report it to you?

Of course, it's hard to see when emails go to the wrong place :-)

Any chance of being able to see what the aliases expand to?

A